Package ru.bitel.bgbilling.modules.bill.common.bean.link

# Class BillLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.link.BillLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BillLink extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getData()`
  `Date`
  `getLastModified()`
  `List<BillLinkBlock>`
  `getLinkBlocks()`
  `int`
  `getUserId()`
  `void`
  `setData(String data)`
  `void`
  `setLastModified(Date lastModified)`
  `void`
  `setLinkBlocks(List<BillLinkBlock> linkBlocks)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BillLink

    public BillLink()

- ## Method Details

  - ### getLastModified

    public Date getLastModified()

  - ### setLastModified

    public void setLastModified(Date lastModified)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)

  - ### getLinkBlocks

    public List<BillLinkBlock> getLinkBlocks()

  - ### setLinkBlocks

    public void setLinkBlocks(List<BillLinkBlock> linkBlocks)